/* ----- ----- ----- */
header, main, footer, loading { max-width: 464px; }
/* ----- ----- ----- */
header {
	div#profile {
		position: relative;
		width: 120px;
		height: 120px;
		/* ----- ----- ----- */
		&::before {
			content: '';
			position: absolute;
			top: -2px;
			left: -2px;
			width: 124px;
			height: 124px;
			border-radius: 50%;
			background: var(--g-instagram);
		}
		/* ----- ----- ----- */
		img {
			position: relative;
			z-index: 1;
			width: 100%;
			height: 100%;
			border-radius: 50%;
			border: 4px solid var(--theme-background);
		}
		/* ----- ----- ----- */
		svg {
			position: absolute;
			bottom: 0;
			right: 0;
			z-index: 1;
			background: var(--theme-background);
			border: 3px solid var(--theme-background);
			border-radius: 50%;
		}
	}
}
/* ----- ----- ----- */
main {
	section button {
		outline: 1px solid currentColor;
		outline-offset: -1px;
		transition: filter 0.2s;
		/* ----- ----- ----- */
		&:not(:first-child) {
			outline-color: var(--theme-scrollbar);
		}
	}
}